function sfm_decimal_key_handler(decfield, event,allowed)
{
    var key;
    var keychar;

    if (window.event)
    {
       key = window.event.keyCode;
    }
    else if (event)
    {
       key = event.which;
    }
    else
    {
       return true;
    }

    keychar = String.fromCharCode(key);

    var allowed_chars="0123456789-+," + allowed;

    if ((key==null) || (key==0) || (key==8) || 
        (key==9) || (key==13) || (key==27) )
    {
        return true;
    }
    else 
    if(allowed_chars.indexOf(keychar) > -1)
    {
       return true;
    }
    else 
    {
       return false;
    }
}

/*
	Copyright (C) 2008-2009 Simfatic Solutions . All rights reserved.
*/